@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap');
/*
* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}
*/

body {
	font-family: 'Roboto', sans-serif;
	color: #303030;
	background: #f2f2f2;
  font-size: 16px;
}

:root{
  --main-blue:#1766DC;
  --main-blue-2:#2366C9;
  --main-white:#f2f2f2;
}

.mod-overlay {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top:0;
  left:0;
  margin:0;
  padding: 0;
  background: rgba(0, 0, 0, .5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index:999999;
}

.mod-hide {
  display: none;
}

.mo-container { 
  margin:0;
  padding: 0;
	background: #fff;
	position: relative;
	border-radius: 0.32rem;
	box-shadow: rgba(100,100,111, 0.2) 0px 7px 29px 0px;
  padding: 0.938rem;
}

.mo-container * {
  margin:0;
  padding:0;
}

.mcr-head {
  display: flex;
	align-items: center;
	justify-content: space-between;
	padding-bottom: 0.938rem;
	border-bottom: 2px solid #E8E8E8;
}

.mcr-head h1 {
  font-weight: 500;
  font-size: 1rem;
  color:var(--main-blue);
}

.mcr-button-x {
  position: absolute;
	top: 0.6rem;
	right: 0.40rem;
	width: 1.87rem;
	height: 1.87rem;
	border: none;
	background: none;
	cursor: pointer;
	transition: .3s ease all;
	border-radius: 0.31rem;
	color: var(--main-blue);
  z-index:9999999
}

.mcr-button-x:hover {
  background: #f2f2f2;
}

.mcr-button-x svg{
  width: 100%;
  height: 100%;
}

.mcr-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  /*
  la altura se elimina, como el container depende del content, crece por fuera de los limites top y height ocultando su contenido y no
  muestra scroll
  si defino una latura, la caja container se ajusta a esta y crea un scroll si es necesario.
  Por lo tanto para ajustar el alto, se hace aqui
  */
  width: calc(100vw - 6.25rem);
  height: calc(100vh - 7.813rem);
  min-width: 21.875rem;
  overflow-y: hidden;
  overflow-x: hidden;
  border:1px solid var(--main-white);
  padding: 0.625rem;
  padding-left: 0.938rem;
  padding-right: 0.938rem;
}

.mcr-content h2 {
  font-size: 2.625rem;
  font-weight: 700;
  margin-bottom: 0.938rem !important;
}

.mcr-content h3 {
  font-size: 2rem;
  font-weight: 600;
}

.mcr-content h4 {
  font-size: 1.75rem;
  font-weight: 600;
}

.mcr-content h5 {
  font-size: 1.50rem;
  font-weight: 600;
}

.mcr-content h6 {
  font-size: 1.25rem;
  font-weight: 600;
}

.mcr-content h3, h4, h5, h6 {
  width: 100%;
  margin-bottom: 0.938rem !important;
}

.mcr-content.mc-scroll-y {
  overflow-y: scroll;
}

.mcr-content.mc-wd-4 {
  width: 96.75vw; /*mas de esto se esonde en viewport, en res 1934.39w x 944.06.h ok*/
}

.mcr-content.mc-wd-3 {
  width: 75vw;
}

.mcr-content.mc-wd-2 {
  width: 50vw;
}

.mcr-content.mc-wd-1 {
  width: 25vw;
}

.mcr-content.mc-wd-0 {
  width: 15vw;
}

.mcr-content.mc-hg-4 {
  height: 90.75vh; /*mas de esto se esonde en viewport, en res 1934.39w x 944.06.h ok*/
}

.mcr-content.mc-hg-3 {
  height: 75vh;
}

.mcr-content.mc-hg-2 {
  height: 50vh;
}

.mcr-content.mc-hg-1 {
  height: 25vh;
}

.mcr-content.mc-hg-0 {
  height: 15vh;
}

.mcr-content p {
  font-size: 1.125em;
  width: 100%;
  margin-top: 0;
  margin-bottom: 0.938rem;
}

.mcr-content .mg0 {
  margin: 0;
}

.mcr-content .mgt {
  margin-top: 0.938rem;
}

.mcr-content img {
  width: calc(100% - 0.938rem);
  border: 0.050rem solid #7EA6C9;
  padding: 0.313rem; 
  margin-bottom: 0.938rem;
}

.mcr-content .btn {
  font-size: 0.94rem;
  padding: 0.625rem;
  cursor: pointer;
  border-radius: 0.938rem;
  border-width: 1px;
}

.btn-blue {
  font-size: 0.94rem;
  width: 6.25rem;
  border-color: var(--main-blue-2);
  background: var(--main-blue);
  color: #f2f2f2;
}

::-webkit-scrollbar {
  width: 0.438rem;
}

::-webkit-scrollbar-track {
  width: 0.25rem;
  background: var(--main-white);
}

::-webkit-scrollbar-thumb {
  background-color:  var(--main-blue);
  border-radius: 0.313rem;

}

  /*monitor laptop*/
@media (max-width:1458.8px){
  .mcr-content.mc-wd-4 {
    width: 95.75vw; 
  }
  .mcr-content.mc-hg-4 {
    height: 88vh;
  }
}

@media (max-width:1399.98px){
  /*to-do*/
  .mo-container {
    border:0.188rem solid deepskyblue;
  }  
}

@media (max-width:991.98px){
  body {
    font-size: 15px;
  }
  .mo-container {
    border:0.188rem solid goldenrod;
  }
}

@media (max-width:767.98px){
  body {
    font-size: 14px;
  }
  .mo-container {
    border:0.188rem solid indianred;
  }
}

@media (max-width:575.98px){
  body {
    font-size: 13px;
  }  
  .mo-container {
    border:0.188rem solid violet;
  }  
}